1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Do I need Lumines to downgrade 3.5 FW

Discussion in 'Sony PSP - Mod and firmware discussion' started by penesor, Jul 7, 2007.

  1. penesor

    penesor Member

    Joined:
    Jul 6, 2007
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    11
    My psp is a 3.5 and i dont want to buy lumines yet, Is there any other game that works like GTA: LCS. How does lumines makes the downgrader work?????
     
  2. CKhaleel

    CKhaleel Regular member

    Joined:
    Feb 26, 2007
    Messages:
    1,669
    Likes Received:
    0
    Trophy Points:
    46
    This question has been asked and answerd so many times

    If they say you need Lumines, you need Lumines.
     
  3. NicHt

    NicHt Regular member

    Joined:
    Oct 26, 2006
    Messages:
    429
    Likes Received:
    0
    Trophy Points:
    26
    You cannot downgrade 3.5, with or without Lumines, whomever says thery can or did, is lying.

    --I'm pretty sure anyway, ;) Don't trust the thing.
     
    Last edited: Jul 7, 2007
  4. FinalFant

    FinalFant Member

    Joined:
    Apr 8, 2007
    Messages:
    66
    Likes Received:
    0
    Trophy Points:
    16
    Just rent it! If you have a microplay near you they only charge a buck a day that you rent it. So you can say you want to rent it for a day and all you have to do is pay a dollar. But if you don't have a microplay near you, just rent it somewhere else.
     
  5. CKhaleel

    CKhaleel Regular member

    Joined:
    Feb 26, 2007
    Messages:
    1,669
    Likes Received:
    0
    Trophy Points:
    46
    You can downgrade 3.5 WITH Lumines. Google 3.50 Downgrader.
     
  6. thegrunt

    thegrunt Regular member

    Joined:
    Jun 4, 2007
    Messages:
    638
    Likes Received:
    0
    Trophy Points:
    26
    Idiot, have you ever heard of eanybody downgrading their PSP without Lumines??? Plus you'll be getting free games,but you dont want to spend $20 to get that somethings wrong with you
     
  7. NicHt

    NicHt Regular member

    Joined:
    Oct 26, 2006
    Messages:
    429
    Likes Received:
    0
    Trophy Points:
    26
    @CKhaleel
    Sorry I had no idea, :D Now I do.
     
  8. PeaInAPod

    PeaInAPod Active member

    Joined:
    Nov 28, 2005
    Messages:
    3,065
    Likes Received:
    0
    Trophy Points:
    66
    Yeah it can be any version of Lumines like the original version, "Platinum" edition, Greatest Hits version, etc. But you can not use Lumines 2.
     
  9. thegrunt

    thegrunt Regular member

    Joined:
    Jun 4, 2007
    Messages:
    638
    Likes Received:
    0
    Trophy Points:
    26
    lol he actually belived you even though you were being sarcastic lol
     
  10. pspmexicn

    pspmexicn Member

    Joined:
    Jun 4, 2007
    Messages:
    74
    Likes Received:
    0
    Trophy Points:
    16
    no u just find a way to magiccly take out the exploit then send it to a fairy to make it downloadable to the psp thern use 3.50 downgrader :)


    buy the damn lumines its the only way likemyself i have to wait to get me a few bucks to get lol lumines lemons
     
  11. marlino23

    marlino23 Regular member

    Joined:
    Apr 1, 2007
    Messages:
    2,821
    Likes Received:
    0
    Trophy Points:
    46
    im not even gonna read what he wrote and just say no.
     
  12. glenquag

    glenquag Regular member

    Joined:
    Mar 7, 2007
    Messages:
    1,879
    Likes Received:
    0
    Trophy Points:
    46
    Why would they say in the readme and everywhere else that you need lumines if you don't? The reason you can't use the exploit in a file is because you can't play it on a PSP without it being 1.5/homebrew enabled/have custom firmware.
     
  13. pspmexicn

    pspmexicn Member

    Joined:
    Jun 4, 2007
    Messages:
    74
    Likes Received:
    0
    Trophy Points:
    16
    its because u can only use the modified game save on lumines
     

Share This Page